--- old/usr/src/uts/common/sys/sysmacros.h	2015-08-18 16:13:45.130867933 -0400
+++ new/usr/src/uts/common/sys/sysmacros.h	2015-08-18 16:13:45.136054327 -0400
@@ -83,9 +83,7 @@
  * should make use of the library routines available in makedev(3). A set of
  * new device macros are provided to operate on the expanded device number
  * format supported in SVR4. Macro versions of the DDI device functions are
- * provided for use by kernel proper routines only. Macro routines bmajor(),
- * major(), minor(), emajor(), eminor(), and makedev() will be removed or
- * their definitions changed at the next major release following SVR4.
+ * provided for use by kernel proper routines only.
  */
 
 #define	O_BITSMAJOR	7	/* # of SVR3 major device bits */
@@ -115,56 +113,20 @@
 
 #ifdef _KERNEL
 
-/* major part of a device internal to the kernel */
-
-#define	major(x)	(major_t)((((unsigned)(x)) >> O_BITSMINOR) & O_MAXMAJ)
-#define	bmajor(x)	(major_t)((((unsigned)(x)) >> O_BITSMINOR) & O_MAXMAJ)
-
 /* get internal major part of expanded device number */
 
 #define	getmajor(x)	(major_t)((((dev_t)(x)) >> L_BITSMINOR) & L_MAXMAJ)
 
-/* minor part of a device internal to the kernel */
-
-#define	minor(x)	(minor_t)((x) & O_MAXMIN)
-
 /* get internal minor part of expanded device number */
 
 #define	getminor(x)	(minor_t)((x) & L_MAXMIN)
 
-#else	/* _KERNEL */
-
-/* major part of a device external from the kernel (same as emajor below) */
-
-#define	major(x)	(major_t)((((unsigned)(x)) >> O_BITSMINOR) & O_MAXMAJ)
-
-/* minor part of a device external from the kernel  (same as eminor below) */
-
-#define	minor(x)	(minor_t)((x) & O_MAXMIN)
-
 #endif	/* _KERNEL */
 
-/* create old device number */
-
-#define	makedev(x, y) (unsigned short)(((x) << O_BITSMINOR) | ((y) & O_MAXMIN))
-
 /* make an new device number */
 
 #define	makedevice(x, y) (dev_t)(((dev_t)(x) << L_BITSMINOR) | ((y) & L_MAXMIN))
 
-
-/*
- * emajor() allows kernel/driver code to print external major numbers
- * eminor() allows kernel/driver code to print external minor numbers
- */
-
-#define	emajor(x) \
-	(major_t)(((unsigned int)(x) >> O_BITSMINOR) > O_MAXMAJ) ? \
-	    NODEV : (((unsigned int)(x) >> O_BITSMINOR) & O_MAXMAJ)
-
-#define	eminor(x) \
-	(minor_t)((x) & O_MAXMIN)
-
 /*
  * get external major and minor device
  * components from expanded device number
